summaryrefslogtreecommitdiff
path: root/dev-python/trianglesolver/trianglesolver-1.2.ebuild
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/trianglesolver/trianglesolver-1.2.ebuild')
-rw-r--r--dev-python/trianglesolver/trianglesolver-1.2.ebuild20
1 files changed, 20 insertions, 0 deletions
diff --git a/dev-python/trianglesolver/trianglesolver-1.2.ebuild b/dev-python/trianglesolver/trianglesolver-1.2.ebuild
new file mode 100644
index 000000000000..e39d9a391dfa
--- /dev/null
+++ b/dev-python/trianglesolver/trianglesolver-1.2.ebuild
@@ -0,0 +1,20 @@
+# Copyright 2025-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{13..14} )
+DISTUTILS_USE_PEP517=setuptools
+inherit distutils-r1 pypi
+
+DESCRIPTION="Attempt to solve triangles given partial info about sides and angles"
+HOMEPAGE="https://pypi.org/project/trianglesolver/"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+python_test() {
+ "${EPYTHON}" -c "import trianglesolver; trianglesolver.run_lots_of_tests()" \
+ || die "Tests failed with ${EPYTHON}"
+}